# Mailer service

## Installation

This service has been developed with the [NestJS](https://nestjs.com/) framework. It requires [Node.js](https://nodejs.org/en/) in order to run.

Once Node.js installed on your computer, you will need to install the project's dependencies. Go to the root of the project and run the following command.

```bash
npm install
```

## Environment variables

In order to run the code, some environment variables are needed. They are specified in the `template.env` file at the root of the project.

For a local deployment:

1. `cp template.env .env`
2. Edit .env according to the chosen configuration

The values will be read from the file by default when running with docker. If you run the service outside of docker you can export those variables.

## Running the app without docker

You will need to provide a healthy connection to a database in order for the service to start.

```bash
# development
npm run start

# watch mode
npm run start:dev

# production mode
npm run start:prod
```

## Running the app with docker

```bash
# build
docker-compose build

# deploy
docker-compose up [-d]

# build and deploy
docker-compose up --build [-d]
```

<!-- ## Test

```bash
# unit tests
$ npm run test

# e2e tests
$ npm run test:e2e

# test coverage
$ npm run test:cov
``` -->