import { Module } from '@nestjs/common';
import { EmailModule } from './email/email.module';
import { ConfigModule } from './configuration/config.module';
import { APP_GUARD } from '@nestjs/core';
import { GroupsGuard } from './guards/groups.guards';
import { HealthModule } from './health/health.module';
import { AppLogger } from './app-logger';

@Module({
  imports: [
    ConfigModule,
    HealthModule,
    EmailModule,
  ],
  controllers: [],
  providers: [
    AppLogger,
    {
      provide: APP_GUARD,
      useClass: GroupsGuard,
    },
  ],
})
export class AppModule { }
