import { Module } from '@nestjs/common';
import { TerminusModule } from '@nestjs/terminus';
import { HealthCheckService } from './health-check.service';
import { SmtpHealthIndicator } from './smtp.healthIndicator';

@Module({
  imports: [
    TerminusModule.forRootAsync({
      imports: [HealthModule],
      useClass: HealthCheckService,
    }),
  ],
  providers: [SmtpHealthIndicator],
  exports: [SmtpHealthIndicator],
})
export class HealthModule { }